Update Settings

patch

/applications/{applicationName}/databases/{databaseName}/settings

Updates the settings of the specified database.

Request

Path Parameters
Back to Top

Response

204 Response

OK

Settings updated successfully.

400 Response

Bad Request

Failed to update the settings. The application or database name may be incorrect, or the JSON for the settings may be incorrect.

415 Response

Not Acceptable

The media type isn't supported or wasn't specified.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to update general settings for a cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

The -data option is used to pass JSON body parameters for updating the cube description and enabling query tracking (available for aggregate storage cubes only).

call properties.bat
curl -X PATCH "https://myserver.example.com:9001/essbase/rest/v1/applications/ASOSamp/databases/Basic/settings" -H Accept:application/json -H Content-Type:application/json --data "@./dbsettings.json" -u %User%:%Password%

Sample JSON Payload

The cURL example above delivers the following JSON payload in dbsettings.json.

[
  {
   "op":"replace", 
   "path":"/general/description",
   "value": "Cube for query tracking"
  },
  {
   "op":"replace",
   "path":"/general/queryTracking",
   "value": true
  }
]

Example of Results

After making the update, you can use GET General Settings to see the changes:

{
  "general": {
    "description": "Cube for query tracking",
    "queryTracking": true
  },
  "links": [ ]
}

Examples of Other JSON Options for Patching Database Settings

The following cube setting patch examples could be applied to a block storage cube.

[
  {
   "op":"replace", 
   "path":"/startup/startDatabaseWhenApplicationStarts",
   "value": false
  },  
  {
   "op":"replace", 
   "path":"/calculation/aggregateMissingValues",
   "value": false
  },
  {
   "op":"replace", 
   "path":"/buffers/dataRetrievalBufferSize",
   "value": 20500
  },
  {
   "op":"replace",
   "path":"/caches/dataCacheSetting",
   "value": 3150000
  },
  {
   "op":"replace",
   "path":"/transactions/concurrencyPreImageAccess",
   "value": false
  }
]
Back to Top